For discussion of Alpine Linux development and developer support

1

[alpine-devel] [PATCH] testing/ii: new aport

Sam Dodrill
Details
Message ID
<1378105703-2754-1-git-send-email-shadow.h511@gmail.com>
Sender timestamp
1378105703
DKIM signature
missing
Download raw message
Patch: +41 -0
IRC It, simple FIFO based irc client
http://tools.suckless.org/ii/
---
 testing/ii/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/ii/APKBUILD

diff --git a/testing/ii/APKBUILD b/testing/ii/APKBUILD
new file mode 100644
index 0000000..4da2087
--- /dev/null
+++ b/testing/ii/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: Sam Dodrill <shadow.h511@gmail.com>
+# Maintainer: Sam Dodrill <shadow.h511@gmail.com>
+pkgname=ii
+pkgver="1.7"
+pkgrel=0
+pkgdesc="IRC It: Minimalist FIFO-based IRC client"
+url="http://tools.suckless.org/ii/"
+arch="all"
+license="MIT"
+depends=""
+depends_dev=""
+makedepends="$depends_dev"
+install=""
+subpackages=""
+source="http://dl.suckless.org/tools/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/$pkgname-$pkgver"
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make PREFIX=/usr || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make PREFIX=/usr DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="6191008ca09770873d84f40270493d0e  ii-1.7.tar.gz"
+sha256sums="3a72ac6606d5560b625c062c71f135820e2214fed098e6d624fc40632dc7cc9c  ii-1.7.tar.gz"
+sha512sums="1fa744bc9b4291b5c6c56e023d982aad59001137db6c7682284a2d63e649a32d558adbb85ae3407e312ae5436852b4278c2c522d4ef03f47cf54ea3a1f13ca90  ii-1.7.tar.gz"
-- 
1.8.3.4



---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---
Natanael Copa
Details
Message ID
<20130902101453.505ce543@ncopa-desktop.alpinelinux.org>
In-Reply-To
<1378105703-2754-1-git-send-email-shadow.h511@gmail.com> (view parent)
Sender timestamp
1378109693
DKIM signature
missing
Download raw message
On Mon,  2 Sep 2013 00:08:23 -0700
Sam Dodrill <shadow.h511@gmail.com> wrote:

> IRC It, simple FIFO based irc client
> http://tools.suckless.org/ii/

applied

> ---
>  testing/ii/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
>  1 file changed, 41 insertions(+)
>  create mode 100644 testing/ii/APKBUILD

...

> +makedepends="$depends_dev"
> +install=""
> +subpackages=""

I added:

subpackages="$pkgname-doc"

to split the -doc into a separate subpackage. Sure it is so small that
it doesnt really matter, but it is nice to be consistent.

Thanks!

-nc


---
Unsubscribe:  alpine-devel+unsubscribe@lists.alpinelinux.org
Help:         alpine-devel+help@lists.alpinelinux.org
---